﻿
/*
EncountAttackOnOff.js

2016/9/15 version 1.1

更新履歴
2016/9/15　経験値表示も消すように変更

  利用規約
  ・商用・非商用問わず使えます。
　・改変公開可能


*/

/*:
 * @plugindesc This plugin can make HP,MP,LV invisible.
 * @author sauto
 *
 * @param isVisibleHP
 * @desc This can make HP invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @param isVisibleMP
 * @desc This can make MP invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @param isVisibleLV
 * @desc This can make LV and Exp invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @help 0 is invisible.1 is visible.
 */

/*:ja
 * @plugindesc 先制攻撃と不意打ちを許可するか設定できます。許可時は規定の確率で発生します。
 * @author さうと
 *
 * @param isPreemptive
 * @desc 先制攻撃を許可するか。0で不許可、1で許可です。
 * @default 0
 * 
 * @param isSurprise
 * @desc 不意打ちを許可するか。0で不許可、1で許可です。
 * @default 0
 * 
 * @help それぞれ値を0で不許可、1で許可です。
 */

(function () {
	var parameters = PluginManager.parameters('EncountAttackOnOff');
	//rpg_manager.js
	BattleManager.onEncounter = function() {
		if(parameters['isPreemptive']==0)
		{
			this._preemptive = false;    
		}
		else
		{
			this._preemptive = (Math.random() < this.ratePreemptive());
		}
		if(parameters['isSurprise']==0)
		{
			this._surprise = true;    
		}
		else
		{
			this._surprise = (Math.random() < this.rateSurprise() && !this._preemptive);
		}
	} 
})();
