﻿/*
RearrangeBattleCommand.js

2016/4/19 version 1.0

  利用規約
  ・商用・非商用問わず使えます。
　・改変公開可能
*/

/*:
 * @plugindesc This plugin deletes item command in battle scene.
 * @author sauto
 *
 * @help This plugin does not provide plugin commands.
 */

/*:ja
 * @plugindesc 戦闘画面のコマンドを消すことができます。
 * @author さうと
 *
 * @param isAttackCommand
 * @desc 攻撃コマンドを消せます。0で非表示、1で表示です。
 * @default 1
 
 * @param isSkillCommand
 * @desc スキルコマンドを消せます。0で非表示、1で表示です。
 * @default 1
 
 * @param isGuardCommand
 * @desc 防御コマンドを消せます。0で非表示、1で表示です。
 * @default 1
 
 * @param isItemCommand
 * @desc アイテムコマンドを消せます。0で非表示、1で表示です。
 * @default 1
 
 
 * @help 全て0で非表示、1で表示
 */

(function () {
var parameters = PluginManager.parameters('EraseBattleCommand');

Window_ActorCommand.prototype.makeCommandList = function() {
    if (this._actor) {
	    if(parameters['isAttackCommand']==1)
	    {
	        this.addAttackCommand();
	    }
	    if(parameters['isSkillCommand']==1)
	    {
	        this.addSkillCommands();
	    }
	    if(parameters['isGuardCommand']==1)
	    {
	        this.addGuardCommand();	    
	    }
	    if(parameters['isItemCommand']==1)
	    {
	        this.addItemCommand();
	    }
    }
};


})();