﻿
/*
MenuOrderChange.js

2016/9/15 version 1.1

更新履歴
2016/9/15　経験値表示も消すように変更

  利用規約
  ・商用・非商用問わず使えます。
　・改変公開可能

http://shirakamisauto.hatenablog.com/entry/2016/09/15/182737
*/

/*:
 * @plugindesc This plugin can make HP,MP,LV invisible.
 * @author sauto
 *
 * @param isVisibleHP
 * @desc This can make HP invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @param isVisibleMP
 * @desc This can make MP invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @param isVisibleLV
 * @desc This can make LV and Exp invisible.0 is invisible.1 is visible.
 * @default 0
 * 
 * @help 0 is invisible.1 is visible.
 */

/*:ja
 * @plugindesc メニュー項目の順番を変更できます。
 * @author sauto
 *
 * @param isVisibleHP
 * @desc HPを消せます。0で非表示、1で表示です。
 * @default 0
 * 
 * @param isVisibleMP
 * @desc MPを消せます。0で非表示、1で表示です。
 * @default 0
 * 
 * @param isVisibleLV
 * @desc LVと経験値表示を消せます。0で非表示、1で表示です。
 * @default 0
 * 
 * @help それぞれ値を0で非表示、1で表示です。
 */

(function () {
var parameters = PluginManager.parameters('MenuOrderChange');

//rpg_window.js
Window_MenuCommand.prototype.makeCommandList = function() {

//var order = [Window_MenuCommand.prototype.addMainCommands];
//KVPにして配列の指定要素に突っ込む？
    //order.shift();
    
    this.addMainCommands();
    this.addFormationCommand();
    this.addOriginalCommands();
    this.addOptionsCommand();
    this.addSaveCommand();
    this.addGameEndCommand();
};

Window_MenuCommand.prototype.addMainCommands = function() {
    var enabled = this.areMainCommandsEnabled();
    if (this.needsCommand('skill')) {
        this.addCommand(TextManager.skill, 'skill', enabled);
    }
    if (this.needsCommand('item')) {
        this.addCommand(TextManager.item, 'item', enabled);
    }
    if (this.needsCommand('equip')) {
        this.addCommand(TextManager.equip, 'equip', enabled);
    }
    if (this.needsCommand('status')) {
        this.addCommand(TextManager.status, 'status', enabled);
    }
};

})();
